Index: ChangeLog
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/ChangeLog,v
retrieving revision 1.105.2.51
diff -p -u -5 -r1.105.2.51 ChangeLog
--- ChangeLog	14 Jan 2007 14:20:14 -0000	1.105.2.51
+++ ChangeLog	7 Apr 2007 15:01:42 -0000
@@ -1,7 +1,28 @@
 ##Text encoding: utf-8
 
+2007-04-07  Jean BrÃ©fort  <jean.brefort@normalesup.org>
+	* configure.ac: version bump (0.6.5) and
+	don't use libgoffice-1 >= 0.3.0.
+	* gcu/application.cc: fixed build issues. [#19523]
+	* gcu/atom.cc: ditto.
+	* gcu/bond.cc: ditto.
+	* gcu/crystalatom.cc: ditto.
+	* gcu/crystaldoc.cc: ditto.
+	* gcu/crystalline.cc: ditto.
+	* gcu/crystalview.cc: ditto.
+	* gcu/dialog.cc: ditto.
+	* gcu/element.cc: ditto.
+	* gcu/formula.cc: ditto.
+	* gcu/gtkchem3dviewer.cc: ditto.
+	* gcu/matrix.cc: ditto.
+	* gcu/matrix2d.cc: ditto.
+	* gcu/xml-utils.cc: ditto.
+	* programs/gchemcalc.cc: ditto.
+	* programs/gchemtable-app.cc: ditto.
+	* programs/gchemtable-elt.cc: ditto.
+
 2007-01-14  Jean BrÃ©fort  <jean.brefort@normalesup.org>
 	* gcu/formula.cc: don't crash for an empty formula.
 
 2006-09-24 Daniel Leidert <daniel.leidert.spam@gmx.net>
 	* configure.ac (AC_PACKAGE_VERSION): Post-release version bump.
Index: configure.ac
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/configure.ac,v
retrieving revision 1.46.2.15
diff -p -u -5 -r1.46.2.15 configure.ac
--- configure.ac	24 Sep 2006 19:55:31 -0000	1.46.2.15
+++ configure.ac	7 Apr 2007 15:01:42 -0000
@@ -1,6 +1,6 @@
-AC_INIT(gnome-chemistry-utils, 0.6.4)
+AC_INIT(gnome-chemistry-utils, 0.6.5)
 AC_CONFIG_SRCDIR(gcu/gtkperiodic.c)
 AM_INIT_AUTOMAKE([dist-bzip2])
 AM_MAINTAINER_MODE
 AC_CANONICAL_HOST
 
@@ -75,10 +75,11 @@ REQUIREMENTS="libglade-2.0 >= $LIBGLADE_
 gtk+-2.0 >= $GTK_REQUIRED_VERSION \
 gtkglext-1.0 >= $GTKGLEXT_REQUIRED_VERSION \
 libgnomeprintui-2.2 >= $GNOME_PRINT_REQUIRED_VERSION \
 gnome-vfs-2.0 >= $GNOME_VFS_REQUIRED_VERSION \
 libgoffice-1 >= $GNOME_OFFICE_REQUIRED_VERSION \
+libgoffice-1 < 0.3.0 \
 shared-mime-info >= $SHARED_MIME_INFO_REQUIRED_VERSION \
 openbabel-2.0 >= $OPENBABEL_REQUIRED_VERSION"
 
 PKG_CHECK_MODULES([GCU], [$REQUIREMENTS])
 
Index: gcu/application.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/application.cc,v
retrieving revision 1.2.2.1
diff -p -u -5 -r1.2.2.1 application.cc
--- gcu/application.cc	9 Feb 2006 12:24:54 -0000	1.2.2.1
+++ gcu/application.cc	7 Apr 2007 15:01:43 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * gcu/application.cc 
  *
- * Copyright (C) 2005 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2005-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -24,10 +24,11 @@
 
 #include "config.h"
 #include "application.h"
 #include <gconf/gconf-client.h>
 #include <sys/stat.h>
+#include <cstdlib>
 
 using namespace gcu;
 
 Application::Application (string name, string datadir)
 {
Index: gcu/atom.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/atom.cc,v
retrieving revision 1.5.2.1
diff -p -u -5 -r1.5.2.1 atom.cc
--- gcu/atom.cc	9 Feb 2006 12:24:54 -0000	1.5.2.1
+++ gcu/atom.cc	7 Apr 2007 15:01:43 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * atom.cc
  *
- * Copyright (C) 2001-2005 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2001-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -24,11 +24,11 @@
 
 #include "element.h"
 #include "atom.h"
 #include "bond.h"
 #include "xml-utils.h"
-#include <math.h>
+#include <cmath>
 
 using namespace gcu;
 
 Atom::Atom(): Object(AtomType)
 {
Index: gcu/bond.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/bond.cc,v
retrieving revision 1.6.2.1
diff -p -u -5 -r1.6.2.1 bond.cc
--- gcu/bond.cc	9 Feb 2006 12:24:54 -0000	1.6.2.1
+++ gcu/bond.cc	7 Apr 2007 15:01:43 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * bond.cc 
  *
- * Copyright (C) 2001-2005 Jean Bréfort <jean.brefort@normalesup.org>
+ * Copyright (C) 2001-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -25,11 +25,11 @@
 #include "bond.h"
 #include "atom.h"
 //#include "cycle.h"
 //#include "settings.h"
 //#include "document.h"
-#include <math.h>
+#include <cmath>
 
 using namespace gcu;
 
 Bond::Bond(): Object(BondType)
 {
@@ -115,11 +115,11 @@ bool Bond::Load (xmlNodePtr node)
 	}
 	if (m_order > 4)
 		return false;
 	tmp = (char*) xmlGetProp (node, (xmlChar*) "begin");
 	if (!tmp) {
-		child = GetNodeByName(node, "begin");
+		child = GetNodeByName(node, (char*) "begin");
 		tmp = (char*) xmlNodeGetContent(child); //necessary to read version 0.1.0 files
 		if (!tmp)
 			return false;
 	}
 	pObject = GetParent ()->GetDescendant (tmp);
@@ -127,11 +127,11 @@ bool Bond::Load (xmlNodePtr node)
 	if (!pObject || (pObject->GetType () != AtomType))
 		return false;
 	m_Begin = (Atom*)(pObject);
 	tmp = (char*) xmlGetProp (node, (xmlChar*) "end");
 	if (!tmp) {
-		child = GetNodeByName (node, "end");
+		child = GetNodeByName (node, (char*) "end");
 		tmp = (char*) xmlNodeGetContent (child); //necessary to read version 0.1.0 files
 		if (!tmp)
 			return false;
 	}
 	pObject = GetParent ()->GetDescendant (tmp);
Index: gcu/crystalatom.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/crystalatom.cc,v
retrieving revision 1.6.2.2
diff -p -u -5 -r1.6.2.2 crystalatom.cc
--- gcu/crystalatom.cc	2 Sep 2006 15:09:30 -0000	1.6.2.2
+++ gcu/crystalatom.cc	7 Apr 2007 15:01:43 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * crystalatom.cc 
  *
- * Copyright (C) 2002-2006 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2002-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -25,12 +25,12 @@
 #include "config.h"
 #include "element.h"
 #include "crystalatom.h"
 #include "element.h"
 #include "xml-utils.h"
-#include <math.h>
 #include <GL/glu.h>
+#include <cmath>
 #include <string>
 
 using namespace gcu;
 
 CrystalAtom::CrystalAtom(): Atom()
Index: gcu/crystaldoc.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/crystaldoc.cc,v
retrieving revision 1.4.2.1
diff -p -u -5 -r1.4.2.1 crystaldoc.cc
--- gcu/crystaldoc.cc	9 Feb 2006 12:24:54 -0000	1.4.2.1
+++ gcu/crystaldoc.cc	7 Apr 2007 15:01:43 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemisty Utils
  * crystaldoc.cc 
  *
- * Copyright (C) 2002-2005 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2002-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -37,11 +37,12 @@
 #define __min(x,y)  ((x) < (y)) ? (x) : (y)
 #define PREC 1e-3
 
 using namespace gcu;
 
-gchar *LatticeName[] = {"simple cubic",
+gchar const *LatticeName[] = {
+	"simple cubic",
 	"body-centered cubic",
 	"face-centered cubic",
 	"hexagonal",
 	"tetragonal",
 	"body-centered tetragonal",
@@ -50,11 +51,12 @@ gchar *LatticeName[] = {"simple cubic",
 	"body-centered orthorhombic",
 	"face-centered orthorhombic",
 	"rhombohedral",
 	"monoclinic",
 	"base-centered monoclinic",
-	"triclinic"};
+	"triclinic"
+};
 
 CrystalDoc::CrystalDoc()
 {
 }
 
Index: gcu/crystalline.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/crystalline.cc,v
retrieving revision 1.3.2.1
diff -p -u -5 -r1.3.2.1 crystalline.cc
--- gcu/crystalline.cc	9 Feb 2006 12:24:54 -0000	1.3.2.1
+++ gcu/crystalline.cc	7 Apr 2007 15:01:43 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * crystalline.cc 
  *
- * Copyright (C) 2002-2004 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2002-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -22,26 +22,28 @@
  * USA
  */
 
 #include "crystalline.h"
 #include "xml-utils.h"
-#include <math.h>
 #include <glib.h>
 #include <GL/gl.h>
 #include <GL/glu.h>
+#include <cmath>
 
 #define __max(x,y)  ((x) > (y)) ? (x) : (y)
 #define __min(x,y)  ((x) < (y)) ? (x) : (y)
 #define square(x)	((x)*(x))
 
 using namespace gcu;
 
-static char *TypeName[] = {"edges",
-		"diagonals",
-		"medians",
-		"normal",
-		"unique"};
+static char const *TypeName[] = {
+	"edges",
+	"diagonals",
+	"medians",
+	"normal",
+	"unique"
+};
 
 CrystalLine::CrystalLine()
 {
 	m_dx = m_dy = m_dz = m_dx2 = m_dy2 = m_dz2 = m_dl = m_dr = 0.0;
 	m_fRed = m_fBlue = m_fGreen = 0.0;
@@ -290,12 +292,12 @@ xmlNodePtr CrystalLine::Save(xmlDocPtr x
 	g_snprintf(buf, sizeof(buf) - 1, "%g", m_dr);
 	child = xmlNewDocNode(xml, NULL, (xmlChar*)"radius", (xmlChar*)buf);
 	if (child) xmlAddChild(parent, child);
 	else {xmlFreeNode(parent); return NULL;}
 	
-	if (((m_nType > 2) && ((!WritePosition(xml, parent, "start", m_dx, m_dy, m_dz))) ||
-		(!WritePosition(xml, parent, "end", m_dx2, m_dy2, m_dz2))) || 
+	if (((m_nType > 2) && (((!WritePosition(xml, parent, "start", m_dx, m_dy, m_dz))) ||
+		(!WritePosition(xml, parent, "end", m_dx2, m_dy2, m_dz2)))) || 
 		(!WriteColor(xml, parent, NULL, m_fRed, m_fGreen, m_fBlue, m_fAlpha)))
 			{xmlFreeNode(parent); return NULL;}
 	
 	return parent;
 }
Index: gcu/crystalview.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/crystalview.cc,v
retrieving revision 1.4.2.1
diff -p -u -5 -r1.4.2.1 crystalview.cc
--- gcu/crystalview.cc	9 Feb 2006 12:24:54 -0000	1.4.2.1
+++ gcu/crystalview.cc	7 Apr 2007 15:01:43 -0000
@@ -1,10 +1,10 @@
 /* 
  * Gnome Chemisty Utils
  * crystalview.cc 
  *
- * Copyright (C) 2002-2005 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2002-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -26,11 +26,11 @@
 #include "matrix.h"
 #include "xml-utils.h"
 #include <GL/gl.h>
 #include <GL/glu.h>
 #include <gtk/gtkgl.h>
-#include <math.h>
+#include <cmath>
 
 static GdkGLConfig *glconfig = NULL;
 
 using namespace gcu;
 
Index: gcu/dialog.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/dialog.cc,v
retrieving revision 1.3.2.2
diff -p -u -5 -r1.3.2.2 dialog.cc
--- gcu/dialog.cc	25 Feb 2006 17:35:50 -0000	1.3.2.2
+++ gcu/dialog.cc	7 Apr 2007 15:01:43 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * gcu/dialog.cc 
  *
- * Copyright (C) 2001-2006 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2001-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -24,11 +24,12 @@
 
 #include "config.h"
 #include "dialog.h"
 #include "application.h"
 #include <glib/gi18n.h>
-#include <string.h>
+#include <cstring>
+#include <cstdlib>
 
 using namespace gcu;
 
 static void on_OK (GtkWidget *widget, Dialog* pBox)
 {
Index: gcu/element.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/element.cc,v
retrieving revision 1.21.2.6
diff -p -u -5 -r1.21.2.6 element.cc
--- gcu/element.cc	4 Sep 2006 23:59:16 -0000	1.21.2.6
+++ gcu/element.cc	7 Apr 2007 15:01:43 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * element.cc 
  *
- * Copyright (C) 2002-2006 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2002-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -27,20 +27,20 @@
 #include "xml-utils.h"
 #include <libxml/parser.h>
 #include <libxml/parserInternals.h>
 #include <libxml/xmlmemory.h>
 #include <glib.h>
-#include <locale.h>
 #include <vector>
 #include <map>
 #include <set>
 #include <string>
 #include <libintl.h>
-#include <math.h>
-#include <string.h>
 #include <glib/gi18n-lib.h>
 #include <goffice/utils/go-math.h>
+#include <clocale>
+#include <cmath>
+#include <cstring>
 
 static set<string>units;
 
 static void ReadValue (char const *source, GcuValue &value)
 {
@@ -485,12 +485,12 @@ void Element::LoadRadii ()
 						xmlFree (buf);
 					} else
 						radius->cn = -1;
 					buf = (char*) xmlGetProp (child, (xmlChar*)"spin");
 					if ((!buf) ||
-						(!((!strcmp (buf, "low")) && (radius->spin = GCU_LOW_SPIN))) &&
-						(!((!strcmp (buf, "high")) && (radius->spin = GCU_HIGH_SPIN))))
+						((!((!strcmp (buf, "low")) && (radius->spin = GCU_LOW_SPIN))) &&
+						(!((!strcmp (buf, "high")) && (radius->spin = GCU_HIGH_SPIN)))))
 						radius->spin = GCU_N_A_SPIN;
 					if (buf)
 						xmlFree (buf);
 					buf = (char*) xmlGetProp (child, (xmlChar*) "value");
 					if (buf) {
Index: gcu/formula.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/formula.cc,v
retrieving revision 1.11.2.1
diff -p -u -5 -r1.11.2.1 formula.cc
--- gcu/formula.cc	9 Feb 2006 12:24:54 -0000	1.11.2.1
+++ gcu/formula.cc	7 Apr 2007 15:01:44 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * formula.cc 
  *
- * Copyright (C) 2005 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2005-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -23,14 +23,15 @@
  */
 
 #include "config.h"
 #include "formula.h"
 #include "element.h"
-#include <math.h>
-#include <string.h>
-#include <ctype.h>
 #include <glib/gi18n.h>
+#include <cmath>
+#include <cstring>
+#include <cctype>
+#include <cstdlib>
 #include <sstream>
 
 using namespace gcu;
 
 parse_error::parse_error(const string& __arg, int start, int length)
Index: gcu/gtkchem3dviewer.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/gtkchem3dviewer.cc,v
retrieving revision 1.11.2.2
diff -p -u -5 -r1.11.2.2 gtkchem3dviewer.cc
--- gcu/gtkchem3dviewer.cc	25 Aug 2006 16:05:19 -0000	1.11.2.2
+++ gcu/gtkchem3dviewer.cc	7 Apr 2007 15:01:44 -0000
@@ -1,10 +1,10 @@
 /* 
  * Gnome Chemisty Utils
  * gtkchem3dviewer.c 
  *
- * Copyright (C) 2003-2006 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2003-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -33,11 +33,11 @@
 #else
 #	include <gtk/gtkgl.h>
 #endif
 #include <sstream>
 #include <libintl.h>
-#include <locale.h>
+#include <clocale>
 #define _(String) gettext(String)
 #include <openbabel/mol.h>
 #include <openbabel/obconversion.h>
 
 /* Attribute list for gtkglarea widget. Specifies a
Index: gcu/matrix.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/matrix.cc,v
retrieving revision 1.3.2.1
diff -p -u -5 -r1.3.2.1 matrix.cc
--- gcu/matrix.cc	9 Feb 2006 12:24:54 -0000	1.3.2.1
+++ gcu/matrix.cc	7 Apr 2007 15:01:44 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * gcu/matrix.cc 
  *
- * Copyright (C) 2000-2004 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2000-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -20,12 +20,12 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
  * USA
  */
 
-#include <math.h>
 #include "matrix.h"
+#include <cmath>
 
 using namespace gcu;
 
 Matrix::Matrix()
 {
Index: gcu/matrix2d.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/matrix2d.cc,v
retrieving revision 1.2.2.1
diff -p -u -5 -r1.2.2.1 matrix2d.cc
--- gcu/matrix2d.cc	9 Feb 2006 12:24:54 -0000	1.2.2.1
+++ gcu/matrix2d.cc	7 Apr 2007 15:01:44 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * matrix2d.cc 
  *
- * Copyright (C) 2004 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2004-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -20,12 +20,12 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
  * USA
  */
 
-#include <math.h>
 #include "matrix2d.h"
+#include <cmath>
 
 using namespace gcu;
 
 Matrix2D::Matrix2D()
 {
Index: gcu/xml-utils.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/gcu/Attic/xml-utils.cc,v
retrieving revision 1.5.2.2
diff -p -u -5 -r1.5.2.2 xml-utils.cc
--- gcu/xml-utils.cc	2 Sep 2006 15:09:30 -0000	1.5.2.2
+++ gcu/xml-utils.cc	7 Apr 2007 15:01:44 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * chemistry/xml-utils.cc 
  *
- * Copyright (C) 2002-2005 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2002-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -228,23 +228,23 @@ bool WriteRadius (xmlDocPtr xml, xmlNode
 	switch (radius.type) {
 	case GCU_RADIUS_UNKNOWN:
 		tmp = NULL;
 		break;
 	case GCU_ATOMIC:
-		tmp = "atomic";
+		tmp = (char*) "atomic";
 		break;
 	case GCU_IONIC:
-		tmp = "ionic";
+		tmp = (char*) "ionic";
 		break;
 	case GCU_METALLIC:
-		tmp = "metallic";
+		tmp = (char*) "metallic";
 		break;
 	case GCU_COVALENT:
-		tmp = "covalent";
+		tmp = (char*) "covalent";
 		break;
 	case GCU_VAN_DER_WAALS:
-		tmp = "vdW";
+		tmp = (char*) "vdW";
 		break;
 	default:
 		tmp = NULL;
 	}
 	if (tmp)
Index: programs/gchemcalc.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/programs/Attic/gchemcalc.cc,v
retrieving revision 1.21.2.6
diff -p -u -5 -r1.21.2.6 gchemcalc.cc
--- programs/gchemcalc.cc	27 Aug 2006 14:58:19 -0000	1.21.2.6
+++ programs/gchemcalc.cc	7 Apr 2007 15:01:44 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * programs/gchemcalc.cc 
  *
- * Copyright (C) 2005-2006 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2005-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -57,11 +57,11 @@
 #include <goffice/utils/go-line.h>
 #include <goffice/utils/go-marker.h>
 #include <gsf/gsf-input-memory.h>
 #include <gsf/gsf-output-memory.h>
 #include <libgnomevfs/gnome-vfs.h>
-#include <math.h>
+#include <cmath>
 #include <iostream>
 
 using namespace gcu;
 
 using namespace std;
@@ -551,11 +551,11 @@ int main (int argc, char *argv[])
 	gtk_widget_hide (App.pattern_page);
 	GtkWidget *w = glade_xml_get_widget (xml, "entry");
 	g_signal_connect (GTK_OBJECT (w), "activate",
 		 G_CALLBACK (cb_entry_active),
 		 window);
-	gcu_element_load_databases ("isotopes", NULL);
+	gcu_element_load_databases (const_cast<char*> ("isotopes"), NULL);
 	w = glade_xml_get_widget (xml, "copy");
 	g_signal_connect_swapped (w, "clicked", G_CALLBACK (on_copy), pw);
 
 	if (argc == 1){
 		gtk_entry_set_text (GTK_ENTRY (w), argv[0]);
Index: programs/gchemtable-app.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/programs/Attic/gchemtable-app.cc,v
retrieving revision 1.4.2.3
diff -p -u -5 -r1.4.2.3 gchemtable-app.cc
--- programs/gchemtable-app.cc	16 Aug 2006 12:55:42 -0000	1.4.2.3
+++ programs/gchemtable-app.cc	7 Apr 2007 15:01:44 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * programs/gchemtable-app.cc 
  *
- * Copyright (C) 2005-2006 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2005-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -33,12 +33,12 @@
 #include <gtk/gtkmain.h>
 #include <gtk/gtkstock.h>
 #include <gtk/gtkuimanager.h>
 #include <gtk/gtkwindow.h>
 #include <libgnomevfs/gnome-vfs.h>
-#include <stdlib.h>
-#include <string.h>
+#include <cstdlib>
+#include <cstring>
 
 
 static void on_quit (GtkWidget *widget, void *data)
 {
 	gtk_main_quit();
Index: programs/gchemtable-elt.cc
===================================================================
RCS file: /cvsroot/gchemutils/gchemutils/programs/Attic/gchemtable-elt.cc,v
retrieving revision 1.7.2.3
diff -p -u -5 -r1.7.2.3 gchemtable-elt.cc
--- programs/gchemtable-elt.cc	27 Aug 2006 14:58:19 -0000	1.7.2.3
+++ programs/gchemtable-elt.cc	7 Apr 2007 15:01:45 -0000
@@ -2,11 +2,11 @@
 
 /* 
  * Gnome Chemistry Utils
  * programs/gchemtable-elt.cc 
  *
- * Copyright (C) 2005-2006 Jean BrÃ©fort <jean.brefort@normalesup.org>
+ * Copyright (C) 2005-2007 Jean BrÃ©fort <jean.brefort@normalesup.org>
  *
  * This program is free software; you can redistribute it and/or 
  * modify it under the terms of the GNU General Public License as 
  * published by the Free Software Foundation; either version 2 of the
  * License, or (at your option) any later version.
@@ -243,13 +243,13 @@ GChemTableElt::GChemTableElt (GChemTable
 	int maxspin = 0;
 	if (radii) while (*radii) {
 		if (((*radii)->type == GCU_IONIC) && !strcmp ((*radii)->scale, "Shannon")) {
 			j = radii_list.begin ();
 			jend = radii_list.end ();
-			while ((j != jend) && (((*j)->charge < (*radii)->charge) || 
-				(((*j)->charge == (*radii)->charge) && ((*j)->cn < (*radii)->cn) ||
-				(((*j)->cn == (*radii)->cn) && ((*j)->spin < (*radii)->spin)))))
+			while (((j != jend) && ((*j)->charge < (*radii)->charge)) || 
+				(((*j)->charge == (*radii)->charge) && ((*j)->cn < (*radii)->cn)) ||
+				(((*j)->cn == (*radii)->cn) && ((*j)->spin < (*radii)->spin)))
 				j++;
 			radii_list.insert (j, *radii);
 			if ((*radii)->spin > maxspin)
 				maxspin = (*radii)->spin;
 		}
@@ -291,11 +291,12 @@ GChemTableElt::GChemTableElt (GChemTable
 		g_object_set (G_OBJECT (renderer), "xalign", 1.0, NULL);
 		/* set this column to a fixed sizing (of 50 pixels) */
 		gtk_tree_view_column_set_spacing (column, 5);
 		gtk_tree_view_append_column (tree, column);
 		jend = radii_list.end ();
-		char *ion, *cn, *spin;
+		char *ion, *cn;
+		const char *spin;
 		for (j = radii_list.begin (); j != jend; j++) {
 			if ((*j)->charge > 1)
 				ion = g_strdup_printf ("%s<sup>%d+</sup><sub> </sub>",elt->GetSymbol (),(*j)->charge);
 			else if ((*j)->charge < -1)
 				ion = g_strdup_printf ("%s<sup>%d\xE2\x88\x92</sup><sub> </sub>",elt->GetSymbol (),-(*j)->charge);