diff -Nru doc-linux-2008.08/debian/changelog doc-linux-2008.08/debian/changelog
--- doc-linux-2008.08/debian/changelog	2013-12-29 00:52:34.000000000 -0500
+++ doc-linux-2008.08/debian/changelog	2013-12-29 00:50:10.000000000 -0500
@@ -1,3 +1,11 @@
+doc-linux (2008.08-1gnewsense1) parkes; urgency=low
+
+  * HOWTO/README-en-txt/html: Added these files as instructions as
+    to how to handle  all the ambiguous references to non-free software
+    in the HOWTO directory. Closes: SV #40741.
+
+ -- Dennis Worthem <dworthem@msn.com>  Sun, 29 Dec 2013 00:49:46 -0500
+
 doc-linux (2008.08-1) unstable; urgency=low
 
   * new upstream release (20080825)
diff -Nru doc-linux-2008.08/debian/control doc-linux-2008.08/debian/control
--- doc-linux-2008.08/debian/control	2013-12-29 00:52:34.000000000 -0500
+++ doc-linux-2008.08/debian/control	2013-12-27 18:18:13.000000000 -0500
@@ -1,14 +1,14 @@
 Source: doc-linux
 Section: doc
 Priority: standard
-Maintainer: Debian LDP Maintainers <pkg-doc-linux-devel@lists.alioth.debian.org>
-Uploaders: Frank Lichtenheld <djpig@debian.org>, Colin Watson <cjwatson@debian.org>
+Maintainer: gNewSense Hackers <gnewsense-dev@nongnu.org>
+XSBC-Original-Maintainer: Debian LDP Maintainers <pkg-doc-linux-devel@lists.alioth.debian.org>
 Standards-Version: 3.8.0
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), quilt
 Build-Depends-Indep: bzip2
 Homepage: http://www.tldp.org/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-doc-linux/trunk/doc-linux
-Vcs-Svn: svn://svn.debian.org/svn/pkg-doc-linux/trunk/doc-linux
+Vcs-Browser: http://bzr.savannah.gnu.org/lh/gnewsense/packages-parkes/doc-linux
+Vcs-Bzr: bzr://bzr.savannah.gnu.org/gnewsense/packages-parkes/doc-linux
 
 Package: doc-linux-html
 Priority: optional
diff -Nru doc-linux-2008.08/debian/doc-linux-html.install doc-linux-2008.08/debian/doc-linux-html.install
--- doc-linux-2008.08/debian/doc-linux-html.install	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-2008.08/debian/doc-linux-html.install	2013-12-28 21:51:30.000000000 -0500
@@ -0,0 +1 @@
+HOWTO/README-en-html  /usr/share/doc/HOWTO
diff -Nru doc-linux-2008.08/debian/doc-linux-text.install doc-linux-2008.08/debian/doc-linux-text.install
--- doc-linux-2008.08/debian/doc-linux-text.install	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-2008.08/debian/doc-linux-text.install	2013-12-28 21:51:56.000000000 -0500
@@ -0,0 +1 @@
+HOWTO/README-en-txt  /usr/share/doc/HOWTO
diff -Nru doc-linux-2008.08/debian/patches/40741_non-free_reference_doc_linux doc-linux-2008.08/debian/patches/40741_non-free_reference_doc_linux
--- doc-linux-2008.08/debian/patches/40741_non-free_reference_doc_linux	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-2008.08/debian/patches/40741_non-free_reference_doc_linux	2013-12-29 00:49:57.000000000 -0500
@@ -0,0 +1,55 @@
+Description: Fixed non-free reference in doc-linux.
+Author: Dennis Worthem <dworthem@msn.com>
+Bug-gNewSense: https://savannah.nongnu.org/bugs/?40741
+Forwarded: not-needed
+Last-Update: 2013-12-29
+--- /dev/null
++++ b/HOWTO/README-en-html
+@@ -0,0 +1,21 @@
++The /usr/share/doc/HOWTO/ directory contains files that generally
++describe packages or source code available for various use domains.
++These packages or source code are not necessarily in the gnewSense
++or upstream distributions but are merely described as available.
++
++Many of these file contain ambiguous references to 'free' vs.
++'commercial' versions of particular packages or sometimes 'open'
++vs. 'commericial' versions of particular packages. It is not always
++clear from the specific words or context whether they mean gratis vs.
++non-gratis or libre vs. non-libre. These files contain enumerations of
++software packages in the specific subject areas and it is rarely or
++never made specific whether they are free vs. proprietary or frequently
++nothing is mentioned about licensing issues. Frequently, one is required
++to go to the web site listed and determine from there what the freedom
++related status is for a particular package.
++
++When a developer or user contemplates use of one of these packages it is
++recommended to make an effort to determine the freedom status of the package
++and only use those that are truly free. The definition and philosophy of
++free sofware can be found at http://www.gnu.org/philosophy/free-sw.html.
++A list of free software licenses is provided at http://www.gnu.org/licenses/license-list.html.
+\ No newline at end of file
+--- /dev/null
++++ b/HOWTO/README-en-txt
+@@ -0,0 +1,21 @@
++The /usr/share/doc/HOWTO/ directory contains files that generally
++describe packages or source code available for various use domains.
++These packages or source code are not necessarily in the gnewSense
++or upstream distributions but are merely described as available.
++
++Many of these file contain ambiguous references to 'free' vs.
++'commercial' versions of particular packages or sometimes 'open'
++vs. 'commericial' versions of particular packages. It is not always
++clear from the specific words or context whether they mean gratis vs.
++non-gratis or libre vs. non-libre. These files contain enumerations of
++software packages in the specific subject areas and it is rarely or
++never made specific whether they are free vs. proprietary or frequently
++nothing is mentioned about licensing issues. Frequently, one is required
++to go to the web site listed and determine from there what the freedom
++related status is for a particular package.
++
++When a developer or user contemplates use of one of these packages it is
++recommended to make an effort to determine the freedom status of the package
++and only use those that are truly free. The definition and philosophy of
++free sofware can be found at http://www.gnu.org/philosophy/free-sw.html.
++A list of free software licenses is provided at http://www.gnu.org/licenses/license-list.html.
+\ No newline at end of file
diff -Nru doc-linux-2008.08/debian/patches/series doc-linux-2008.08/debian/patches/series
--- doc-linux-2008.08/debian/patches/series	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-2008.08/debian/patches/series	2013-12-28 21:46:38.000000000 -0500
@@ -0,0 +1 @@
+40741_non-free_reference_doc_linux
diff -Nru doc-linux-2008.08/debian/README.gNewSense doc-linux-2008.08/debian/README.gNewSense
--- doc-linux-2008.08/debian/README.gNewSense	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-2008.08/debian/README.gNewSense	2013-12-27 18:38:43.000000000 -0500
@@ -0,0 +1,4 @@
+
+Changed-From-Debian: Added instructions concerning ambiguous references to non-free software.
+
+Change-Type: Modified
diff -Nru doc-linux-2008.08/debian/rules doc-linux-2008.08/debian/rules
--- doc-linux-2008.08/debian/rules	2013-12-29 00:52:34.000000000 -0500
+++ doc-linux-2008.08/debian/rules	2013-12-28 18:56:13.000000000 -0500
@@ -152,6 +152,7 @@
 endif
 
 	dh_installdocs -n
+	dh_install
 	dh_installchangelogs
 	gzip -9 $(R)/usr/share/doc/$(SOURCE)-html/changelog.Debian
 	ln -s ../HOWTO/en-html $(R)/usr/share/doc/$(SOURCE)-html/HOWTO
@@ -197,6 +198,7 @@
 endif
 
 	dh_installdocs
+	dh_install
 	dh_installchangelogs
 	gzip -9 $(R2)/usr/share/doc/$(SOURCE)-text/changelog.Debian
 	ln -s ../HOWTO/en-txt $(R2)/usr/share/doc/$(SOURCE)-text/HOWTO
diff -Nru doc-linux-2008.08/debian/source/format doc-linux-2008.08/debian/source/format
--- doc-linux-2008.08/debian/source/format	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-2008.08/debian/source/format	2013-12-27 18:10:26.000000000 -0500
@@ -0,0 +1 @@
+3.0 (quilt)