diff -Nru doc-linux-it-2003.12/debian/changelog doc-linux-it-2003.12/debian/changelog
--- doc-linux-it-2003.12/debian/changelog	2013-12-29 00:18:22.000000000 -0500
+++ doc-linux-it-2003.12/debian/changelog	2013-12-28 23:56:12.000000000 -0500
@@ -1,3 +1,12 @@
+doc-linux-it (2003.12-1.1gnewsense1) parkes; urgency=low
+
+  * HOWTO/README-it-txt/html: Added these files as instructions as to how to handle
+    all the ambiguous references to non-free software in the HOWTO
+    directory. Closes: SV #40741.
+
+
+ -- Dennis Worthem <dworthem@msn.com>  Sat, 28 Dec 2013 23:51:12 -0500
+
 doc-linux-it (2003.12-1.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Nru doc-linux-it-2003.12/debian/control doc-linux-it-2003.12/debian/control
--- doc-linux-it-2003.12/debian/control	2013-12-29 00:18:22.000000000 -0500
+++ doc-linux-it-2003.12/debian/control	2013-12-29 00:08:24.000000000 -0500
@@ -1,9 +1,12 @@
 Source: doc-linux-it
 Section: doc
 Priority: optional
-Maintainer: Davide Puricelli (evo) <evo@debian.org> 
+Maintainer: gNewSense Hackers <gnewsense-dev@nongnu.org>
+XSBC-Original-Maintainer: Davide Puricelli (evo) <evo@debian.org> 
 Standards-Version: 3.5.6
-Build-Depends-Indep: debhelper
+Build-Depends-Indep: debhelper, quilt
+Vcs-Browser: http://bzr.savannah.gnu.org/lh/gnewsense/packages-parkes/doc-linux-it
+Vcs-Bzr: bzr://bzr.savannah.gnu.org/gnewsense/packages-parkes/doc-linux-it
 
 Package: doc-linux-it
 Architecture: all
diff -Nru doc-linux-it-2003.12/debian/doc-linux-it.install doc-linux-it-2003.12/debian/doc-linux-it.install
--- doc-linux-it-2003.12/debian/doc-linux-it.install	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-it-2003.12/debian/doc-linux-it.install	2013-12-28 23:49:31.000000000 -0500
@@ -0,0 +1 @@
+HOWTO/README-it-html  /usr/share/doc/HOWTO
diff -Nru doc-linux-it-2003.12/debian/doc-linux-it-text.install doc-linux-it-2003.12/debian/doc-linux-it-text.install
--- doc-linux-it-2003.12/debian/doc-linux-it-text.install	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-it-2003.12/debian/doc-linux-it-text.install	2013-12-28 23:50:18.000000000 -0500
@@ -0,0 +1 @@
+HOWTO/README-it-txt  /usr/share/doc/HOWTO
diff -Nru doc-linux-it-2003.12/debian/patches/40741_non-free_reference_doc_linux_it doc-linux-it-2003.12/debian/patches/40741_non-free_reference_doc_linux_it
--- doc-linux-it-2003.12/debian/patches/40741_non-free_reference_doc_linux_it	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-it-2003.12/debian/patches/40741_non-free_reference_doc_linux_it	2013-12-28 23:47:20.000000000 -0500
@@ -0,0 +1,55 @@
+Description: Fixed non-free reference in doc-linux-it.
+Author: Dennis Worthem <dworthem@msn.com>
+Bug-gNewSense: https://savannah.nongnu.org/bugs/?40741
+Forwarded: not-needed
+Last-Update: 2013-12-28
+--- /dev/null
++++ b/HOWTO/README-it-html
+@@ -0,0 +1,21 @@
++The /usr/share/doc/HOWTO/ directory contains files that generally
++describe packages or source code available for various use domains.
++These packages or source code are not necessarily in the gnewSense
++or upstream distributions but are merely described as available.
++
++Many of these file contain ambiguous references to 'free' vs.
++'commercial' versions of particular packages or sometimes 'open'
++vs. 'commericial' versions of particular packages. It is not always
++clear from the specific words or context whether they mean gratis vs.
++non-gratis or libre vs. non-libre. These files contain enumerations of
++software packages in the specific subject areas and it is rarely or
++never made specific whether they are free vs. proprietary or frequently
++nothing is mentioned about licensing issues. Frequently, one is required
++to go to the web site listed and determine from there what the freedom
++related status is for a particular package.
++
++When a developer or user contemplates use of one of these packages it is
++recommended to make an effort to determine the freedom status of the package
++and only use those that are truly free. The definition and philosophy of
++free sofware can be found at http://www.gnu.org/philosophy/free-sw.html.
++A list of free software licenses is provided at http://www.gnu.org/licenses/license-list.html.
+\ No newline at end of file
+--- /dev/null
++++ b/HOWTO/README-it-txt
+@@ -0,0 +1,21 @@
++The /usr/share/doc/HOWTO/ directory contains files that generally
++describe packages or source code available for various use domains.
++These packages or source code are not necessarily in the gnewSense
++or upstream distributions but are merely described as available.
++
++Many of these file contain ambiguous references to 'free' vs.
++'commercial' versions of particular packages or sometimes 'open'
++vs. 'commericial' versions of particular packages. It is not always
++clear from the specific words or context whether they mean gratis vs.
++non-gratis or libre vs. non-libre. These files contain enumerations of
++software packages in the specific subject areas and it is rarely or
++never made specific whether they are free vs. proprietary or frequently
++nothing is mentioned about licensing issues. Frequently, one is required
++to go to the web site listed and determine from there what the freedom
++related status is for a particular package.
++
++When a developer or user contemplates use of one of these packages it is
++recommended to make an effort to determine the freedom status of the package
++and only use those that are truly free. The definition and philosophy of
++free sofware can be found at http://www.gnu.org/philosophy/free-sw.html.
++A list of free software licenses is provided at http://www.gnu.org/licenses/license-list.html.
+\ No newline at end of file
diff -Nru doc-linux-it-2003.12/debian/patches/series doc-linux-it-2003.12/debian/patches/series
--- doc-linux-it-2003.12/debian/patches/series	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-it-2003.12/debian/patches/series	2013-12-29 00:16:52.000000000 -0500
@@ -0,0 +1 @@
+40741_non-free_reference_doc_linux_it
diff -Nru doc-linux-it-2003.12/debian/README.gNewSense doc-linux-it-2003.12/debian/README.gNewSense
--- doc-linux-it-2003.12/debian/README.gNewSense	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-it-2003.12/debian/README.gNewSense	2013-12-27 18:38:43.000000000 -0500
@@ -0,0 +1,4 @@
+
+Changed-From-Debian: Added instructions concerning ambiguous references to non-free software.
+
+Change-Type: Modified
diff -Nru doc-linux-it-2003.12/debian/rules doc-linux-it-2003.12/debian/rules
--- doc-linux-it-2003.12/debian/rules	2013-12-29 00:18:22.000000000 -0500
+++ doc-linux-it-2003.12/debian/rules	2013-12-28 23:32:47.000000000 -0500
@@ -72,6 +72,7 @@
 	dh_testroot
 	dh_fixperms
 	dh_installdocs
+	dh_install
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
diff -Nru doc-linux-it-2003.12/debian/source/format doc-linux-it-2003.12/debian/source/format
--- doc-linux-it-2003.12/debian/source/format	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-it-2003.12/debian/source/format	2013-12-27 18:10:26.000000000 -0500
@@ -0,0 +1 @@
+3.0 (quilt)