diff -Nru doc-linux-ja-2006.05.25/debian/changelog doc-linux-ja-2006.05.25/debian/changelog
--- doc-linux-ja-2006.05.25/debian/changelog	2013-12-29 11:03:56.000000000 -0500
+++ doc-linux-ja-2006.05.25/debian/changelog	2013-12-29 10:53:33.000000000 -0500
@@ -1,3 +1,11 @@
+doc-linux-ja (2006.05.25-1.1gnewsense1) parkes; urgency=low
+
+  * HOWTO/README-ja-txt/html: Added these files as instructions as
+    to how to handle  all the ambiguous references to non-free software
+    in the HOWTO directory. Closes: SV #40741.
+
+ -- Dennis Worthem <dworthem@msn.com>  Sun, 29 Dec 2013 10:51:25 -0500
+
 doc-linux-ja (2006.05.25-1.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Nru doc-linux-ja-2006.05.25/debian/control doc-linux-ja-2006.05.25/debian/control
--- doc-linux-ja-2006.05.25/debian/control	2013-12-29 11:03:56.000000000 -0500
+++ doc-linux-ja-2006.05.25/debian/control	2013-12-29 10:35:24.000000000 -0500
@@ -1,10 +1,13 @@
 Source: doc-linux-ja
 Section: doc
 Priority: optional
-Maintainer: GOTO Masanori <gotom@debian.org>
-Build-Depends: debhelper (>> 4.0.0)
+Maintainer: gNewSense Hackers <gnewsense-dev@nongnu.org>
+XSBC-Original-Maintainer: GOTO Masanori <gotom@debian.org>
+Build-Depends: debhelper (>> 4.0.0), quilt
 Build-Depends-Indep: bzip2
 Standards-Version: 3.7.0
+Vcs-Browser: http://bzr.savannah.gnu.org/lh/gnewsense/packages-parkes/doc-linux-ja
+Vcs-Bzr: bzr://bzr.savannah.gnu.org/gnewsense/packages-parkes/doc-linux-ja
 
 Package: doc-linux-ja-html
 Priority: optional
diff -Nru doc-linux-ja-2006.05.25/debian/doc-linux-ja-html.install doc-linux-ja-2006.05.25/debian/doc-linux-ja-html.install
--- doc-linux-ja-2006.05.25/debian/doc-linux-ja-html.install	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-ja-2006.05.25/debian/doc-linux-ja-html.install	2013-12-29 10:42:22.000000000 -0500
@@ -0,0 +1 @@
+HOWTO/README-ja-html  /usr/share/doc/HOWTO
diff -Nru doc-linux-ja-2006.05.25/debian/doc-linux-ja-text.install doc-linux-ja-2006.05.25/debian/doc-linux-ja-text.install
--- doc-linux-ja-2006.05.25/debian/doc-linux-ja-text.install	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-ja-2006.05.25/debian/doc-linux-ja-text.install	2013-12-29 10:42:36.000000000 -0500
@@ -0,0 +1 @@
+HOWTO/README-ja-txt  /usr/share/doc/HOWTO
diff -Nru doc-linux-ja-2006.05.25/debian/patches/40741_non-free_reference_doc_linux_ja doc-linux-ja-2006.05.25/debian/patches/40741_non-free_reference_doc_linux_ja
--- doc-linux-ja-2006.05.25/debian/patches/40741_non-free_reference_doc_linux_ja	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-ja-2006.05.25/debian/patches/40741_non-free_reference_doc_linux_ja	2013-12-29 10:49:58.000000000 -0500
@@ -0,0 +1,55 @@
+Description: Fixed non-free reference in doc-linux-ja.
+Author: Dennis Worthem <dworthem@msn.com>
+Bug-gNewSense: https://savannah.nongnu.org/bugs/?40741
+Forwarded: not-needed
+Last-Update: 2013-12-29
+--- /dev/null
++++ b/HOWTO/README-ja-html
+@@ -0,0 +1,21 @@
++The /usr/share/doc/HOWTO/ directory contains files that generally
++describe packages or source code available for various use domains.
++These packages or source code are not necessarily in the gnewSense
++or upstream distributions but are merely described as available.
++
++Many of these file contain ambiguous references to 'free' vs.
++'commercial' versions of particular packages or sometimes 'open'
++vs. 'commericial' versions of particular packages. It is not always
++clear from the specific words or context whether they mean gratis vs.
++non-gratis or libre vs. non-libre. These files contain enumerations of
++software packages in the specific subject areas and it is rarely or
++never made specific whether they are free vs. proprietary or frequently
++nothing is mentioned about licensing issues. Frequently, one is required
++to go to the web site listed and determine from there what the freedom
++related status is for a particular package.
++
++When a developer or user contemplates use of one of these packages it is
++recommended to make an effort to determine the freedom status of the package
++and only use those that are truly free. The definition and philosophy of
++free sofware can be found at http://www.gnu.org/philosophy/free-sw.html.
++A list of free software licenses is provided at http://www.gnu.org/licenses/license-list.html.
+\ No newline at end of file
+--- /dev/null
++++ b/HOWTO/README-ja-txt
+@@ -0,0 +1,21 @@
++The /usr/share/doc/HOWTO/ directory contains files that generally
++describe packages or source code available for various use domains.
++These packages or source code are not necessarily in the gnewSense
++or upstream distributions but are merely described as available.
++
++Many of these file contain ambiguous references to 'free' vs.
++'commercial' versions of particular packages or sometimes 'open'
++vs. 'commericial' versions of particular packages. It is not always
++clear from the specific words or context whether they mean gratis vs.
++non-gratis or libre vs. non-libre. These files contain enumerations of
++software packages in the specific subject areas and it is rarely or
++never made specific whether they are free vs. proprietary or frequently
++nothing is mentioned about licensing issues. Frequently, one is required
++to go to the web site listed and determine from there what the freedom
++related status is for a particular package.
++
++When a developer or user contemplates use of one of these packages it is
++recommended to make an effort to determine the freedom status of the package
++and only use those that are truly free. The definition and philosophy of
++free sofware can be found at http://www.gnu.org/philosophy/free-sw.html.
++A list of free software licenses is provided at http://www.gnu.org/licenses/license-list.html.
+\ No newline at end of file
diff -Nru doc-linux-ja-2006.05.25/debian/patches/series doc-linux-ja-2006.05.25/debian/patches/series
--- doc-linux-ja-2006.05.25/debian/patches/series	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-ja-2006.05.25/debian/patches/series	2013-12-29 10:44:28.000000000 -0500
@@ -0,0 +1 @@
+40741_non-free_reference_doc_linux_ja
diff -Nru doc-linux-ja-2006.05.25/debian/README.gNewSense doc-linux-ja-2006.05.25/debian/README.gNewSense
--- doc-linux-ja-2006.05.25/debian/README.gNewSense	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-ja-2006.05.25/debian/README.gNewSense	2013-12-27 18:38:43.000000000 -0500
@@ -0,0 +1,4 @@
+
+Changed-From-Debian: Added instructions concerning ambiguous references to non-free software.
+
+Change-Type: Modified
diff -Nru doc-linux-ja-2006.05.25/debian/rules doc-linux-ja-2006.05.25/debian/rules
--- doc-linux-ja-2006.05.25/debian/rules	2013-12-29 11:03:56.000000000 -0500
+++ doc-linux-ja-2006.05.25/debian/rules	2013-12-29 10:40:27.000000000 -0500
@@ -122,6 +122,7 @@
 	dh_testroot -i
 #	dh_installdebconf -i
 	dh_installdocs -i
+	dh_install -i
 	dh_installexamples -i
 #	dh_installmenu -i
 #	dh_installlogrotate -i
@@ -150,6 +151,7 @@
 #	dh_testroot -a
 ##	dh_installdebconf -a
 #	dh_installdocs -a
+#	dh_install -a
 #	dh_installexamples -a
 #	dh_installmenu -a
 ##	dh_installlogrotate -a
diff -Nru doc-linux-ja-2006.05.25/debian/source/format doc-linux-ja-2006.05.25/debian/source/format
--- doc-linux-ja-2006.05.25/debian/source/format	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-ja-2006.05.25/debian/source/format	2013-12-27 18:10:26.000000000 -0500
@@ -0,0 +1 @@
+3.0 (quilt)