diff -Nru doc-linux-pl-2002.06.14/debian/changelog doc-linux-pl-2002.06.14/debian/changelog
--- doc-linux-pl-2002.06.14/debian/changelog	2013-12-29 11:53:23.000000000 -0500
+++ doc-linux-pl-2002.06.14/debian/changelog	2013-12-29 11:43:33.000000000 -0500
@@ -1,3 +1,11 @@
+doc-linux-pl (2002.06.14-2gnewsense1) parkes; urgency=low
+
+  * HOWTO/README-pl-txt/html: Added these files as instructions as
+    to how to handle  all the ambiguous references to non-free software
+    in the HOWTO directory. Closes: SV #40741.
+
+ -- Dennis Worthem <dworthem@msn.com>  Sun, 29 Dec 2013 11:40:55 -0500
+
 doc-linux-pl (2002.06.14-2) unstable; urgency=low
 
   * Finished /usr/doc transition (closes: #359391, #359395)
diff -Nru doc-linux-pl-2002.06.14/debian/control doc-linux-pl-2002.06.14/debian/control
--- doc-linux-pl-2002.06.14/debian/control	2013-12-29 11:53:23.000000000 -0500
+++ doc-linux-pl-2002.06.14/debian/control	2013-12-29 11:31:29.000000000 -0500
@@ -1,9 +1,13 @@
 Source: doc-linux-pl
 Section: doc
 Priority: optional
-Maintainer: Pawel Wiecek <coven@debian.org>
+Maintainer: gNewSense Hackers <gnewsense-dev@nongnu.org>
+XSBC-Original-Maintainer: Pawel Wiecek <coven@debian.org>
+Build-Depends: quilt
 Build-Depends-Indep: debhelper (>=4)
 Standards-Version: 3.6.2
+Vcs-Browser: http://bzr.savannah.gnu.org/lh/gnewsense/packages-parkes/doc-linux-pl
+Vcs-Bzr: bzr://bzr.savannah.gnu.org/gnewsense/packages-parkes/doc-linux-pl
 
 Package: doc-linux-pl
 Architecture: all
diff -Nru doc-linux-pl-2002.06.14/debian/doc-linux-pl-html.install doc-linux-pl-2002.06.14/debian/doc-linux-pl-html.install
--- doc-linux-pl-2002.06.14/debian/doc-linux-pl-html.install	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-pl-2002.06.14/debian/doc-linux-pl-html.install	2013-12-29 11:36:13.000000000 -0500
@@ -0,0 +1 @@
+README-pl-html  /usr/share/doc/HOWTO
diff -Nru doc-linux-pl-2002.06.14/debian/doc-linux-pl.install doc-linux-pl-2002.06.14/debian/doc-linux-pl.install
--- doc-linux-pl-2002.06.14/debian/doc-linux-pl.install	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-pl-2002.06.14/debian/doc-linux-pl.install	2013-12-29 11:36:35.000000000 -0500
@@ -0,0 +1 @@
+README-pl-txt  /usr/share/doc/HOWTO
diff -Nru doc-linux-pl-2002.06.14/debian/patches/40741_non-free_reference_doc_linux_pl doc-linux-pl-2002.06.14/debian/patches/40741_non-free_reference_doc_linux_pl
--- doc-linux-pl-2002.06.14/debian/patches/40741_non-free_reference_doc_linux_pl	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-pl-2002.06.14/debian/patches/40741_non-free_reference_doc_linux_pl	2013-12-29 11:40:32.000000000 -0500
@@ -0,0 +1,55 @@
+Description: Fixed non-free reference in doc-linux-pl.
+Author: Dennis Worthem <dworthem@msn.com>
+Bug-gNewSense: https://savannah.nongnu.org/bugs/?40741
+Forwarded: not-needed
+Last-Update: 2013-12-29
+--- /dev/null
++++ b/README-pl-html
+@@ -0,0 +1,21 @@
++The /usr/share/doc/HOWTO/ directory contains files that generally
++describe packages or source code available for various use domains.
++These packages or source code are not necessarily in the gnewSense
++or upstream distributions but are merely described as available.
++
++Many of these file contain ambiguous references to 'free' vs.
++'commercial' versions of particular packages or sometimes 'open'
++vs. 'commericial' versions of particular packages. It is not always
++clear from the specific words or context whether they mean gratis vs.
++non-gratis or libre vs. non-libre. These files contain enumerations of
++software packages in the specific subject areas and it is rarely or
++never made specific whether they are free vs. proprietary or frequently
++nothing is mentioned about licensing issues. Frequently, one is required
++to go to the web site listed and determine from there what the freedom
++related status is for a particular package.
++
++When a developer or user contemplates use of one of these packages it is
++recommended to make an effort to determine the freedom status of the package
++and only use those that are truly free. The definition and philosophy of
++free sofware can be found at http://www.gnu.org/philosophy/free-sw.html.
++A list of free software licenses is provided at http://www.gnu.org/licenses/license-list.html.
+\ No newline at end of file
+--- /dev/null
++++ b/README-pl-txt
+@@ -0,0 +1,21 @@
++The /usr/share/doc/HOWTO/ directory contains files that generally
++describe packages or source code available for various use domains.
++These packages or source code are not necessarily in the gnewSense
++or upstream distributions but are merely described as available.
++
++Many of these file contain ambiguous references to 'free' vs.
++'commercial' versions of particular packages or sometimes 'open'
++vs. 'commericial' versions of particular packages. It is not always
++clear from the specific words or context whether they mean gratis vs.
++non-gratis or libre vs. non-libre. These files contain enumerations of
++software packages in the specific subject areas and it is rarely or
++never made specific whether they are free vs. proprietary or frequently
++nothing is mentioned about licensing issues. Frequently, one is required
++to go to the web site listed and determine from there what the freedom
++related status is for a particular package.
++
++When a developer or user contemplates use of one of these packages it is
++recommended to make an effort to determine the freedom status of the package
++and only use those that are truly free. The definition and philosophy of
++free sofware can be found at http://www.gnu.org/philosophy/free-sw.html.
++A list of free software licenses is provided at http://www.gnu.org/licenses/license-list.html.
+\ No newline at end of file
diff -Nru doc-linux-pl-2002.06.14/debian/patches/series doc-linux-pl-2002.06.14/debian/patches/series
--- doc-linux-pl-2002.06.14/debian/patches/series	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-pl-2002.06.14/debian/patches/series	2013-12-29 11:37:38.000000000 -0500
@@ -0,0 +1 @@
+40741_non-free_reference_doc_linux_pl
diff -Nru doc-linux-pl-2002.06.14/debian/README.gNewSense doc-linux-pl-2002.06.14/debian/README.gNewSense
--- doc-linux-pl-2002.06.14/debian/README.gNewSense	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-pl-2002.06.14/debian/README.gNewSense	2013-12-27 18:38:43.000000000 -0500
@@ -0,0 +1,4 @@
+
+Changed-From-Debian: Added instructions concerning ambiguous references to non-free software.
+
+Change-Type: Modified
diff -Nru doc-linux-pl-2002.06.14/debian/rules doc-linux-pl-2002.06.14/debian/rules
--- doc-linux-pl-2002.06.14/debian/rules	2013-12-29 11:53:23.000000000 -0500
+++ doc-linux-pl-2002.06.14/debian/rules	2013-12-29 11:34:32.000000000 -0500
@@ -74,6 +74,7 @@
 	dh_testroot
 #	dh_installdebconf
 	dh_installdocs
+	dh_install
 	dh_installexamples
 	dh_installmenu
 #	dh_installemacsen
@@ -103,6 +104,7 @@
 	dh_testroot
 #	dh_installdebconf
 	dh_installdocs
+	dh_install
 	dh_installexamples
 	dh_installmenu
 #	dh_installemacsen
diff -Nru doc-linux-pl-2002.06.14/debian/source/format doc-linux-pl-2002.06.14/debian/source/format
--- doc-linux-pl-2002.06.14/debian/source/format	1969-12-31 19:00:00.000000000 -0500
+++ doc-linux-pl-2002.06.14/debian/source/format	2013-12-27 18:10:26.000000000 -0500
@@ -0,0 +1 @@
+3.0 (quilt)