Index: docs/help/3d/gchem3d.omf.in
===================================================================
--- docs/help/3d/gchem3d.omf.in	(révision 2069)
+++ docs/help/3d/gchem3d.omf.in	(copie de travail)
@@ -4,7 +4,7 @@
     <subject category="Applications|Education|Science"/>
     <type>manual</type>
     <relation seriesid="6feffa39-f3c9-4016-bf02-8e5e89d5755c"/>
-    <rights type="GNU FDL" license.version="1.1" holder="Jean Bréfort"/>
-    <rights type="GNU GPL" license.version="2" holder="Jean Bréfort"/>
+    <rights type="GNU FDL" license.version="1.3" holder="Jean Bréfort"/>
+    <rights type="GNU GPL" license.version="3" holder="Jean Bréfort"/>
   </resource>        
 </omf>
Index: docs/help/calc/gchemcalc.omf.in
===================================================================
--- docs/help/calc/gchemcalc.omf.in	(révision 2069)
+++ docs/help/calc/gchemcalc.omf.in	(copie de travail)
@@ -4,7 +4,7 @@
     <subject category="Applications|Education|Science"/>
     <type>manual</type>
     <relation seriesid="2f848160-7dcd-448a-9c23-a66ed39053d4"/>
-    <rights type="GNU FDL" license.version="1.1" holder="Jean Bréfort"/>
-    <rights type="GNU GPL" license.version="2" holder="Jean Bréfort"/>
+    <rights type="GNU FDL" license.version="1.3" holder="Jean Bréfort"/>
+    <rights type="GNU GPL" license.version="3" holder="Jean Bréfort"/>
   </resource>        
 </omf>
Index: docs/help/crystal/gcrystal.omf.in
===================================================================
--- docs/help/crystal/gcrystal.omf.in	(révision 2069)
+++ docs/help/crystal/gcrystal.omf.in	(copie de travail)
@@ -4,7 +4,7 @@
     <subject category="Applications|Education|Science"/>
     <type>manual</type>
     <relation seriesid="69d68626-9dea-41ce-b448-f13d6d773bdd"/>
-    <rights type="GNU FDL" license.version="1.1" holder="Jean Bréfort"/>
-    <rights type="GNU GPL" license.version="2" holder="Jean Bréfort"/>
+    <rights type="GNU FDL" license.version="1.3" holder="Jean Bréfort"/>
+    <rights type="GNU GPL" license.version="3" holder="Jean Bréfort"/>
   </resource>        
 </omf>
Index: docs/help/paint/gchempaint.omf.in
===================================================================
--- docs/help/paint/gchempaint.omf.in	(révision 2069)
+++ docs/help/paint/gchempaint.omf.in	(copie de travail)
@@ -4,7 +4,7 @@
     <subject category="Applications|Education|Science"/>
     <type>manual</type>
     <relation seriesid="2f606258-b554-4715-9a75-2c20246779f5"/>
-    <rights type="GNU FDL" license.version="1.1" holder="Jean Bréfort"/>
-    <rights type="GNU GPL" license.version="2" holder="Jean Bréfort"/>
+    <rights type="GNU FDL" license.version="1.3" holder="Jean Bréfort"/>
+    <rights type="GNU GPL" license.version="3" holder="Jean Bréfort"/>
   </resource>        
 </omf>
Index: docs/help/spectra/gspectrum.omf.in
===================================================================
--- docs/help/spectra/gspectrum.omf.in	(révision 2069)
+++ docs/help/spectra/gspectrum.omf.in	(copie de travail)
@@ -4,7 +4,7 @@
     <subject category="Applications|Education|Science"/>
     <type>manual</type>
     <relation seriesid="3979cd97-dbc5-45df-a1bc-5cafb3b7a6e4"/>
-    <rights type="GNU FDL" license.version="1.1" holder="Jean Bréfort"/>
-    <rights type="GNU GPL" license.version="2" holder="Jean Bréfort"/>
+    <rights type="GNU FDL" license.version="1.3" holder="Jean Bréfort"/>
+    <rights type="GNU GPL" license.version="3" holder="Jean Bréfort"/>
   </resource>        
 </omf>
Index: docs/help/table/gchemtable.omf.in
===================================================================
--- docs/help/table/gchemtable.omf.in	(révision 2069)
+++ docs/help/table/gchemtable.omf.in	(copie de travail)
@@ -4,7 +4,7 @@
     <subject category="Applications|Education|Science"/>
     <type>manual</type>
     <relation seriesid="7dfe29b2-c927-4dc2-b901-1f01c8c9138c"/>
-    <rights type="GNU FDL" license.version="1.1" holder="Jean Bréfort"/>
-    <rights type="GNU GPL" license.version="2" holder="Jean Bréfort"/>
+    <rights type="GNU FDL" license.version="1.3" holder="Jean Bréfort"/>
+    <rights type="GNU GPL" license.version="3" holder="Jean Bréfort"/>
   </resource>        
 </omf>